/*
==============================
 xl 1699 - Декстопы (1600)
==============================
*/
@media (min-width: 1921px) {
}

@media (max-width: 1919px) {
}

@media (max-width: 1679px) {
}

/*
==============================
xl 1699 - Декстопы (1536)
==============================
*/
@media (max-width: 1536px) {
    .content-size {
        font-size: 1.25rem;
    }
    .hero__content {
        max-width: 30rem;
    }
    .caseSection {
    }
    .container-fluid {
        padding: 0 3rem;
    }
    .whoIs {
        margin-bottom: 7rem;
    }
}

/*
==============================
      xl 1599 - Декстопы (1440)
==============================
*/
@media (max-width: 1440px) {
    .advantages__head {
        max-width: 35rem;
    }
    .partner__work-heading {
        font-size: 2rem;
    }
    .partner__neme {
        padding-top: 0.4rem;
    }
    .partner__date {
        padding-top: 0.7rem;
    }
    .advantages__size-right {
        top: 16rem;
        bottom: 2rem;
    }
    .scroll-item.index-2 {
        padding-top: 10rem;
    }
    .whoIs__content ul li {
        font-size: 1.2rem;
    }
    .about__item {
        padding: 3rem 2rem 4rem;
    }
    .advantages__col {
        font-size: 1.1rem;
    }
    .advantages__col span {
        font-size: 43px;
    }
}

/*
==============================
      lg 1399 - Ноутбуки (1360)
==============================
*/
@media (max-width: 1439px) {
}

/*
==============================
      lg 1366 - Ноутбуки (1366)
==============================
*/
@media (max-width: 1399px) {
    .advantages__col {
        padding: 2rem 3rem;
        min-height: 13rem;
    }
    .questions {
        margin-top: 0rem;
    }
}

/*
==============================
      lg 1299 - Ноутбуки (1280)
==============================
*/
@media (max-width: 1299px) {
    .about__item p span {
        font-size: 1.8rem;
    }
    .about__item p {
        font-size: 1rem;
    }
    .advantages__element {
        font-size: 1.125rem;
        padding: 1rem 3rem 1rem 1.3rem;
    }
    .container-fluid.slim-fluid {
        padding: 0 8%;
    }
    .cases__box-heading {
        padding: 1rem 2rem;
    }
}

/*
==============================
      ml 1152 - Нетбуки (1152)
==============================
*/
@media (max-width: 1152px) {
    .application__order_content {
        padding: 4rem 2%;
    }
    .blog-page-item.txt-box {
        padding: 2rem 7%;
    }
    .blog-page-item.txt-box p {
        font-size: 18px;
    }
    .content-size {
        font-size: 1rem;
    }
    .hero__content {
        max-width: 23rem;
    }
    .partner__flex-tab {
        flex-wrap: wrap;
        justify-content: flex-start;
    }
    .partner__date {
        flex: 0 0 40%;
    }
    .partner__neme {
        flex: 1 1 40%;
    }
    .partner__work {
        flex: 0 0 40%;
    }
    .caseSection__info {
        padding: 1rem 1.5rem;
    }
    .caseSection__name p:first-of-type {
        font-size: 1.6rem;
        margin: 0;
    }
    .caseSection__img {
        border-radius: 7px;
    }
    .caseSection__name p {
        font-size: 1rem;
        margin: 0.5rem 0;
    }
    .caseSection__sliderBox.caseSection__sliderBox-first::before {
        border-radius: 7px;
    }
    .case-box-head {
        max-height: 16rem;
    }
    .whoIs__head {
        max-width: 28rem;
    }
    .steps__item {
        padding: 2rem 2rem 3rem;
        font-size: 1rem;
    }
    .steps__item-date {
        padding-top: 1rem;
    }
    .questions__item {
        font-size: 1.2rem;
    }
}

/*
==============================
      ml 1149 - Нетбуки (1024)
==============================
*/
@media (max-width: 1149px) {
    .advantages__item {
        padding: 2rem 2rem 3rem;
    }
    .advantages__size-right {
        top: 3rem;
    }
    .blog-page-item.txt-box {
        padding: 1rem 4%;
    }
    #blog .main-image {
        height: 21rem;
    }

    .caseSection {
        height: calc(72vh + 11rem);
    }
    .cybr-btn {
        font-size: 14px;
        --clip: polygon(0 16%, 100% 16%, 100% 90%, 95% 90%, 95% 80%, 85% 80%, 85% 90%, 5% 90%, 0% 73%);
    }
    .whoIs__content ul li {
        font-size: 1.125rem;
    }
    .about__item {
        flex: 1 1 100%;
    }
    .advantages__item-txt p:first-of-type {
        font-size: 16px;
    }
    .advantages__item-head {
        font-size: 20px;
        padding-bottom: 1rem;
    }
    .partner__work-heading {
        font-size: 1.7rem;
    }
    .steps__item {
        font-size: 1.125rem;
    }
    .questions__item {
        font-size: 1.125rem;
    }
    .advantages__col span {
        font-size: 32px;
    }
    .steps__item-num {
        left: -20px;
        top: -40px;
    }
    .application__order_form {
        max-width: 400px;
    }
    .application__order_content {
        padding: 4rem 0%;
    }
    .footer__block {
        padding: 3rem 0% 4rem;
    }
}

/*
==============================
      md 1023 - Планшеты (960)
==============================
*/

@media (max-width: 960px) {
    .blog-page-item.txt-box img {
        width: 100%;
    }
    .blog-page-item h2 {
        font-size: 1.8rem;
    }
    #blog .blog-page-item h1 {
        font-size: 2.1rem;
    }
    .application__order_form {
        padding: 3rem 2rem;
    }
    .application__order_content {
        padding: 2rem 2%;
    }
    .application {
        border: 3rem solid var(--color_beige);
    }

    .caseSection__sliderBox.caseSection__sliderBox-first {
        display: none;
    }
    .caseSection__sliderBox {
        width: 100%;
        transform: translate(-50%, -50%);
        right: auto;
        left: 50%;
    }
    #cases .portfolio-main__title {
        font-size: 1.125rem;
    }
    .case__head h1 {
        font-size: calc(22vw * 0.196);
    }
    .container-case {
        flex-wrap: wrap;
        gap: 1rem;
    }
    .portfolio-main__tab span {
        font-size: 0.9rem;
    }
    .case__head {
        gap: 1rem;
    }
    .filterCases__block-title {
        margin-bottom: 0.5rem;
    }
    .cases__box-heading {
        padding: 1.5rem 2rem;
    }
    .case__head-title {
        flex: 0 0 28%;
    }
    .case-box .cards__img {
        filter: none;
    }
    #next.slick-arrow {
        right: -5rem;
    }
    #prev.slick-arrow {
        left: -5rem;
    }
    .partner__buttons {
        visibility: visible;
    }
}

/*
==============================
md 1023 - Планшеты (768)
==============================
*/
@media (max-width: 1023px) {
    .hero__content {
        max-width: 18rem;
    }
    .caseSection__name {
        font-size: 1.4rem;
    }
    .caseSection__desc {
        font-size: 1rem;
    }
    .header__block {
        padding: 0 6rem 0 3rem;
    }
    .mobile-icon {
        top: 2.15rem;
    }
    .footer__block {
        padding: 3rem 5% 0rem;
    }
    .advantages__item-txt p {
        font-size: 16px;
    }
}

@media (max-width: 825px) {
    .steps__content {
        flex: 0 0 100%;
    }
    .steps__head {
        max-width: 100%;
        text-align: center;
        flex: 0 0 100%;
        margin-bottom: 1rem;
    }
    .steps__block {
        gap: 2rem;
        flex-wrap: wrap;
    }
    .caseBox__order_content {
        flex-wrap: wrap;
    }
    .hero {
        padding: 8rem 0 4rem;
    }
    .hero__button {
        text-align: right;
    }
    .hero__content {
        max-width: 24rem;
    }
    .advantages__element {
        font-size: 1rem;
    }
    .advantages__head {
        max-width: 23rem;
    }
    .advantages__item-head {
        font-size: 18px;
    }
    .advantages__item-txt p:first-of-type {
        font-size: 16px;
    }
    .advantages__item {
        padding: 1rem 1rem 3rem;
        right: 1rem;
    }
    .partner__flex-tab {
        padding: 1rem 1rem;
    }
    .partner__date {
        flex: 0 0 15%;
        order: 2;
    }
    .partner__work {
        flex: 0 0 50%;
        order: 3;
    }
    .partner__neme {
        flex: 0 0 34%;
        order: 1;
    }
    .partner__buttons {
        flex: 0 0 40%;
        order: 4;
        flex-direction: column;
        margin-top: -2rem;
    }
    .partner__open {
        display: block;
        padding: 1rem 0;
    }
    .questions__navItem.active {
        font-size: 14px;
    }
    .portfolio-main__cards {
        grid-template-columns: repeat(2, 48.3%);
        padding-inline: 0;
    }
    #cases .row {
        margin: 0;
    }
    .archive #blog .item {
        margin: 0rem 0 1rem;
    }
    .blog-page-item.txt-box p {
        font-size: 16px;
    }
    #blog {
        padding-top: 8rem;
    }
    .scroll-item.index-2,
    .scroll-item.index-3 {
        z-index: 0;
        position: relative;
    }
    .scroll-item.index-2 {
        padding-top: 5rem;
    }
    .whoIs__block {
        flex-direction: column;
    }
    .whoIs__head {
        max-width: 100%;
    }
    .whoIs__content {
        flex: 0 0 100%;
        width: 100%;
    }
    .whoIs__content ul li {
        text-align: center;
    }
    .advantages__row {
        flex-wrap: wrap;
    }
    .advantages__col {
        flex: 0 0 50%;
    }
    .advantages__col:first-of-type {
        display: none;
    }
    .scroll-item.index-2 {
        padding-bottom: 0;
    }
    .steps__item {
        flex: 1 1 40%;
    }
    .application__order_content {
        flex-wrap: wrap;
        justify-content: center;
    }
    .application__order_body {
        max-width: 100%;
        flex: 0 0 100%;
    }
    .application__order_head h2 {
        font-size: calc(29vw * 0.17);
    }
    .application__order_txt {
        max-width: 100%;
    }
}
/*
==============================
      sm 767 - Фаблеты (500)
==============================
*/
@media (max-width: 767px) {
    .blog-page-item h2 {
        font-size: 1.4rem;
    }
    #blog .blog-page-item h1 {
        font-size: 1.5rem;
    }
    .application__order_content {
        padding: 1rem 0% 2rem;
        flex-wrap: wrap;
        gap: 3rem;
    }
    .caseSection__img {
        aspect-ratio: 1 / 1.6;
    }
    .caseSection__img-desctop {
        display: none;
    }
    .caseSection__img-mobile {
        display: block;
    }
    .advantages__content {
        display: block;
    }
    .caseBox__order_txt p:first-of-type {
        font-size: 1.1125rem;
    }
    .caseBox__order_head {
        font-size: 1.7rem;
    }
    .caseBox__item {
        padding: 1rem;
    }
    #blog .info_content {
        padding: 0.5rem 1rem 1rem;
        flex-wrap: wrap;
        gap: 1rem;
    }
    #blog .item .title {
        font-size: 1rem;
    }
    #blog h1 {
        font-size: calc(35vw * 0.196);
    }
    #cases .body {
        padding: 0rem 1rem 0rem;
    }
    #cases .portfolio-main__title {
        font-size: 1rem;
        padding: 0.6rem 0.7rem;
    }
    #cases .body .cybr-btn {
        padding: 0 30px;
        width: 100%;
        text-align: center;
    }
    .cases__box-heading {
        padding: 1rem 1.5rem;
    }
    .case__head h1 {
        font-size: calc(35vw * 0.196);
    }
    .case__head-title {
        flex: 0 0 100%;
    }
    .case__head {
        flex-wrap: wrap;
    }
    .thanks__block-head h1 {
        font-size: calc(33vw * 0.196);
    }
    .thanks__block-image {
        flex: 0 0 100%;
        order: 2;
    }
    .thanks__block-content {
        flex: 0 0 100%;
        order: 1;
    }
    .thanks__block {
        flex-wrap: wrap;
    }
    .error404 #hero .intro {
        font-size: calc(22vw * 0.196);
    }
    .error404 #hero .main h1 {
        font-size: calc(50vw * 0.196);
    }
    .caseSection__name {
        max-width: 17rem;
    }
    .caseSection__name p {
        font-size: 1rem;
        margin: 0.2rem 0;
    }
    .caseSection__name p:first-of-type {
        font-size: 1.2rem;
    }
    .caseSection__dots {
        right: 2.8rem;
    }
    .footer__nav {
        padding-top: 0;
    }
    .footer__logo-box {
        margin: 0 auto 0rem;
    }
    .footer__element.soc,
    .footer__element.contacts {
        flex: 1 1 40%;
        order: 2;
    }
    .footer__element.logo {
        flex: 0 0 100%;
        order: 1;
    }
    .footer__block {
        flex-wrap: wrap;
        padding: 2rem 0 2rem;
    }
    .hero {
        padding: 10rem 0 4rem;
    }
    .header__logo img {
        width: 8rem;
    }
    .header-item {
        flex: 0 0 auto;
    }
    .header__block {
        padding: 0 6rem 0 2rem;
    }
    .hero__button {
        text-align: center;
    }
    .container-fluid {
        padding: 0 2rem;
    }
    .hero__content {
        padding: 2rem 0;
        max-width: 100%;
    }
    .scroll-item.index-2 {
        position: relative;
        z-index: 0;
    }
    .whoIs__block {
        flex-wrap: wrap;
    }
    .home h2 {
        font-size: calc(39vw * 0.17);
    }
    .whoIs__head {
        max-width: 100%;
        text-align: center;
        flex: 0 0 100%;
        padding-bottom: 2rem;
    }
    .whoIs__content ul li {
        text-align: center;
    }
    .caseSection__button {
        width: 100%;
        text-align: center;
    }
    .about__item {
        padding: 2rem 2rem 3rem;
    }
    .advantages__content {
    }
    .advantages__head {
        max-width: 100%;
        top: 0;
        text-align: center;
    }
    .advantages__size-left {
        flex: 0 0 100%;
    }
    .partner__block {
        padding: 1rem;
    }
    .partner__work {
        flex: 0 0 100%;
        order: 3;
    }
    .partner__buttons {
        flex: 0 0 100%;
        visibility: visible;
    }
    .steps__block {
        flex-wrap: wrap;
    }
    .steps__head {
        text-align: center;
    }
    .steps__item {
        font-size: 1rem;
        text-align: center;
    }
    .steps__item br {
        display: none;
    }
    .questions__block {
        flex-wrap: wrap;
    }
    .questions__content {
        flex: 0 0 100%;
        order: 2;
    }
    .questions__head {
        text-align: center;
        order: 1;
        padding-bottom: 2rem;
    }
    .questions__item {
        font-size: 1rem;
    }
    .whoIs__content {
        width: 100%;
    }
    .advantages__col.advantages__wide h2 {
        font-size: calc(63vw * 0.17);
    }
    .advantages__col {
        padding: 1rem 1rem;
        font-size: 1rem;
    }
    .questions__tabs {
        max-width: 100%;
    }
    .steps__item-num {
        left: -8px;
        top: -27px;
        font-size: 48px;
    }
}

/*
==============================
      xs 499 - Смартфоны (360)
==============================
*/
@media (max-width: 499px) {
    .mobile-icon,
    .active.mobile-icon {
        right: 2rem;
    }
    .caseSection__content {
        width: calc(100vw - 4rem);
    }
    #prev.slick-arrow {
        left: 0rem;
    }
    #next.slick-arrow {
        right: 0rem;
    }
    .steps__item {
        flex: 1 1 60%;
    }
}

/*
==============================
      xs 499 - Смартфоны (414)
==============================
*/
@media (max-width: 414px) {
    .application {
        border: 2rem solid var(--color_beige);
    }
    .application .container-fluid {
        padding: 0 1rem;
    }
    .footer__logo-box {
        margin: 0 auto 1rem;
    }
    .portfolio-main__cards {
        grid-template-columns: repeat(1, 100%);
    }
    #blog .blog-page-item h1 {
        font-size: 1.4rem;
    }
    .blog-page-item-flex {
        gap: 1rem;
        flex-wrap: wrap;
    }
    .caseBox__order_form {
        padding: 2rem 1.8rem;
    }
    .advantages__item {
        padding: 4rem 1rem 3rem;
        right: 0.5rem;
    }
}

@media (max-width: 390px) {
    .about__button .cybr-btn {
        font-size: 14px;
        padding: 0 30px;
    }
    .application__order_txt {
        font-size: 1rem;
    }
}

/*
==============================
      xs 499 - Смартфоны (375)
==============================
*/
@media (max-width: 375px) {
    .header-contacts a[href^="tel:"].phone-content {
        font-size: 1rem;
    }
}

/*
==============================
      xs 359 - Смартфоны (360)
==============================
*/
@media (max-width: 360px) {
    .application__order_form {
        padding: 2rem 1rem;
    }
    .application .form .form-head {
        font-size: 1.7rem;
    }
    .container-fluid {
    }
    .cybr-btn {
        width: 100%;
    }
    .cybr-btn {
        padding: 0 30px;
    }
    .blog-page-item.txt-box p {
        font-size: 14px;
    }
    .caseBox__order_form {
        padding: 2rem 1rem;
    }
    .advantages__col {
        flex: 0 0 100%;
    }
    .application__order_head h2 + p {
        font-size: calc(28vw * 0.17);
    }
    .footer__element.contacts {
        flex: 1 1 100%;
        order: 2;
    }
    .footer__element.soc {
        flex: 1 1 100%;
        order: 3;
        padding-top: 2rem;
    }
    .footer__element.soc .soc-menu {
        display: flex;
        flex-wrap: wrap;
        gap: 1rem;
        justify-content: center;
    }
    .footer__contacts {
        align-items: center;
    }
}

/*
==============================
xs 359 - Смартфоны (320)
==============================
*/
@media (max-width: 359px) {
    .whoIs__content ul li {
        padding: 0.7rem 1rem;
        font-size: 1rem;
    }
    .about__button .cybr-btn {
        font-size: 12px;
        padding: 0 30px;
    }
}
